summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2016-07-07 16:45:57 +0200
committer Robby Workman <rworkman@slackbuilds.org>2016-07-20 14:20:08 -0500
commit8732f8759eaeeb1e3349000e25d9d4f713a3d887 (patch)
treec0d98571fdffb03b286b89d5837c91321a9e389a /development
parent73ac3830fb00c2066d97501be8eaba7d3215a251 (diff)
downloadslackbuilds-8732f8759eaeeb1e3349000e25d9d4f713a3d887.tar.gz
slackbuilds-8732f8759eaeeb1e3349000e25d9d4f713a3d887.tar.xz
development/camlp4: Added (ocaml preprocessor and pretty-printer).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/camlp4/README5
-rw-r--r--development/camlp4/camlp4.SlackBuild95
-rw-r--r--development/camlp4/camlp4.info10
-rw-r--r--development/camlp4/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/development/camlp4/README b/development/camlp4/README
new file mode 100644
index 0000000000..76e1e604f1
--- /dev/null
+++ b/development/camlp4/README
@@ -0,0 +1,5 @@
+Camlp4 is a software system for writing extensible parsers for
+programming languages. It provides a set of OCaml libraries that are
+used to define grammars as well as loadable syntax extensions of such
+grammars.
+It was part of the official OCaml distrib. until its version 4.01.0.
diff --git a/development/camlp4/camlp4.SlackBuild b/development/camlp4/camlp4.SlackBuild
new file mode 100644
index 0000000000..79c8f20888
--- /dev/null
+++ b/development/camlp4/camlp4.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for camlp4
+
+# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=camlp4
+VERSION=${VERSION:-4.03_1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="CHANGES* LICENSE"
+TVERSION=$(echo $VERSION | tr _ +)
+CVERSION=$(echo $VERSION | tr _ -)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$CVERSION
+tar xvf $CWD/$PRGNAM-$CVERSION.tar.?z* || tar xvf $CWD/$TVERSION.tar.?z*
+cd $PRGNAM-$CVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure \
+ --bindir=/usr/bin \
+ --libdir=/usr/lib$LIBDIRSUFFIX/ocaml \
+ --pkgdir=$PKG
+
+make -j1 all
+make -j1 install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/camlp4/camlp4.info b/development/camlp4/camlp4.info
new file mode 100644
index 0000000000..533f876cb4
--- /dev/null
+++ b/development/camlp4/camlp4.info
@@ -0,0 +1,10 @@
+PRGNAM="camlp4"
+VERSION="4.03_1"
+HOMEPAGE="http://caml.inria.fr"
+DOWNLOAD="https://github.com/ocaml/camlp4/archive/4.03+1.tar.gz"
+MD5SUM="65ece8d2c8f4b1e06d62323e78759a7c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ocaml"
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/development/camlp4/slack-desc b/development/camlp4/slack-desc
new file mode 100644
index 0000000000..31544e7e72
--- /dev/null
+++ b/development/camlp4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+camlp4: camlp4 (an ocaml preprocessor and pretty-printer)
+camlp4:
+camlp4: Camlp4 is a software system for writing extensible parsers for
+camlp4: programming languages. It provides a set of OCaml libraries that are
+camlp4: used to define grammars as well as loadable syntax extensions of such
+camlp4: grammars.
+camlp4: It was part of the official OCaml distrib. until its version 4.01.0.
+camlp4:
+camlp4: homepage: http://caml.inria.fr
+camlp4:
+camlp4: